/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.messaging;

import de.nachtlicht_media.epoint.redcent.EpointRecord;
import de.nachtlicht_media.epoint.redcent.interfaces.EpointRecordConverter;

public class EpointRecordToXLogConverter implements EpointRecordConverter
{
	/** 
	 * Convert EpointRecord objects to a serialized form suitable for logging them to the global transaction log
	 * @see de.nachtlicht_media.epoint.redcent.interfaces.EpointRecordConverter#convert(de.nachtlicht_media.epoint.redcent.EpointRecord)
	 */
	public Object convert(EpointRecord rec) throws Exception
	{
		return new String(new String(rec.getCert(), "UTF-8"));
	}
}
